Wt: Wt::WWidgetItem Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
Wt::WWidgetItem Class Reference

A layout item that holds a single widget. More...

`#include <Wt/WWidgetItem>`

Inheritance diagram for Wt::WWidgetItem:
[legend]

List of all members.

## Public Member Functions
| WWidgetItem (WWidget *widget)
| Creates a new item for the given widget.
virtual WWidget * | widget ()
| Returns the widget that is held by this WLayoutItem.
virtual WLayout * | layout ()
| Returns the layout that implements this WLayoutItem.
virtual WLayout * | parentLayout () const
| Returns the layout in which this item is contained.
virtual WWidgetItem * | findWidgetItem (WWidget *widget)
| Finds the widget item corresponding to the given widget
WLayoutItemImpl * | impl () const
| Returns the implementation for this layout item.
## Private Member Functions
virtual void | setParentWidget (WWidget *parent)
| Internal method.
virtual void | setParentLayout (WLayout *layout)
| Internal method.

## Detailed Description

A layout item that holds a single widget.

See also:
  WLayout::addWidget(WWidget *)

## Member Function Documentation

WWidgetItem * Wt::WWidgetItem::findWidgetItem | ( | WWidget * | widget | ) | `[virtual]`

Finds the widget item corresponding to the given widget

The widget is searched for recursively inside nested layouts.

Implements Wt::WLayoutItem.

WLayoutItemImpl* Wt::WWidgetItem::impl | ( |  | ) | const`[virtual]`

Returns the implementation for this layout item.

The implementation of a layout item depends on the kind of container for which the layout does layout management.

Implements Wt::WLayoutItem.

virtual WLayout* Wt::WWidgetItem::layout | ( |  | ) | `[virtual]`

Returns the layout that implements this WLayoutItem.

This implements a type-safe upcasting mechanism to a WLayout.

Implements Wt::WLayoutItem.

virtual WWidget* Wt::WWidgetItem::widget | ( |  | ) | `[virtual]`

Returns the widget that is held by this WLayoutItem.

This implements a type-safe upcasting mechanism to a WWidgetItem.

Implements Wt::WLayoutItem.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator